require "badgify/version"

# API operations
require "badgify/http_decorator"
require "badgify/api_operation"

# Resources
require "badgify/category"

# Errors
require "badgify/errors/service_error"
require "badgify/errors/api_error"
require "badgify/errors/api_connection_error"
require "badgify/errors/invalid_request_error"
require "badgify/errors/authentication_error"

module Badgify
  @api_base = "https://badgify-yafoy.herokuapp.com/api".freeze

  class << self
    attr_accessor :token, :api_base
  end

  def self.api_url(url = "")
    @api_base + url
  end
end
